Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.util
Interface TransferDragSourceListener

All Superinterfaces:
  DragSourceListener, EventListener, org.eclipse.swt.internal.SWTEventListener

public interface TransferDragSourceListener
extends DragSourceListener

A `TransferDragSourceListener` is a `DragSourceListener` that can handle one type of SWT `Transfer`. The purpose of a `TransferDragSourceListener` is to:

- Determine enablement for a drag operation. A `TransferDragSourceListener` will not be used in a drag operation if the `DragSourceEvent#doit` field is set to false in `DragSourceListener#dragStart(DragSourceEvent)`.
- Set data for a single type of drag and `Transfer` type.

A `DelegatingDragAdapter` allows these functions to be implemented separately for unrelated types of drags. `DelegatingDragAdapter` then combines the function of each `TransferDragSourceListener`, while allowing them to be implemented as if they were the only `DragSourceListener`.

NOTE: This API is experimental and subject to change including removal.

Since:
  2.2

Method Summary
`Transfer` | `getTransfer()` Returns the `Transfer` type that this listener can provide data for.

Methods inherited from interface org.eclipse.swt.dnd.DragSourceListener
`dragFinished, dragSetData, dragStart`

Method Detail

### getTransfer

    public Transfer getTransfer()

  Returns the `Transfer` type that this listener can provide data for.

  Returns:
    the `Transfer` associated with this listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.